---
title: Introduction
---
# Introduction

## What is [NativeScript](https://www.nativescript.org/)?

NativeScript is an open source framework for building truly native mobile application using JavaScript.

## What is [Vue.js](https://vuejs.org/)?

Vue (pronounced /vjuː/, like view) is a progressive framework for building user interfaces. The core library is focused on the view layer only, and is very easy to pick up and integrate with other libraries or existing projects.

## What is NativeScript-Vue?

NativeScript-Vue is a NativeScript plugin which allows you to use Vue.js to craft your mobile application.

If you have used Vue.js before you will feel right at home with NativeScript-Vue.

## Why would you use this?

There are many options to build mobile apps. Here are some situations where we think NativeScript-Vue is a great fit.

* **You need a truly native iOS and Android app**: NativeScript builds your apps using native user interface components on iOS and Android. The apps you build are not web based, and therefore are not subject to the limitations inherent in WebView-based application frameworks. NativeScript also provides [an extensive collection of plugins](http://market.nativescript.org/) to tie into native device features. So if you need to tie into an iOS or Android API or feature as part of your app, you can do that with NativeScript.
* **You like JavaScript**: With NativeScript you write your mobile applications in JavaScript—not Objective-C, not Swift, and not Java. If you like JavaScript, you’ll love writing native iOS and Android apps with the same language you use in your Web and/or Node apps.
* **You like Vue**: Vue is known for its simple approach to the view layer. If you like building web apps with Vue, you’ll be right at home with NativeScript-Vue, as you’ll be using the same syntax for handling common tasks like data binding and event handling.

## What’s the catch?

If you have existing Vue experience, there are two big things you’ll need to learn to be successful with NativeScript-Vue.

* **Working with the NativeScript CLI**: NativeScript is a framework for building iOS and Android apps, not web apps. You’ll need to learn how a few commands in the NativeScript CLI, and some basics of how iOS simulators and Android Virtual Devices work.
* **Learning the NativeScript UI components**: Because NativeScript uses native user interface components, HTML controls like `<div>` and `<span>` don’t exist in NativeScript. Instead you’ll need to learn a [new set of components](https://docs.nativescript.org/ui/components) you can use to render your interfaces.

Don’t worry though. Although there is a learning curve for working with NativeScript-Vue, you should find things much eaiser than learning iOS or Android from the ground up. After all, you’ll still be writing your source code in JavaScript and Vue.

## Want to get involved?

NativeScript-Vue is an open source project and contributions are very much encouraged. Check out the [project’s contributing guide](https://github.com/rigor789/nativescript-vue/blob/master/CONTRIBUTING.md) and **join us on in the #vue channel on the [NativeScript community Slack](http://tinyurl.com/nativescriptSlack)**.

## How stable is this project?

NativeScript-Vue is relatively feature complete. At this time we’re focusing on two things:

* **Documentation**: Not everything you can do in NativeScript-Vue is documented on this site. We’re actively adding samples and use cases to this site, and contributions are welcome.
* **Sample apps**: We’re looking for people to put this plugin through its paces and send feedback our way. If you’re interested, join the [NativeScript community Slack](http://tinyurl.com/nativescriptSlack) and let us know in the #vue channel.

## Ready to get started?

<a router-link="/installation-nativescript" class="docute-button docute-button-success">
    Go to Installation - NativeScript
</a>